> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invoices

**`v2`** · Base URL `https://api.fintoc.com/v2`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api-v2.json GET /invoices
openapi: 3.1.0
info:
  title: fintoc-api-v2
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v2
security:
  - sec0: []
paths:
  /invoices:
    get:
      summary: List Invoices
      operationId: get_invoices
      parameters:
        - in: query
          name: starting_after
          schema:
            type: string
          description: >-
            A cursor to use in pagination. `starting_after` is an invoice ID
            that defines your place in the list. For example, if you make a list
            request and receive 30 invoices, ending with `in_foo`, your
            subsequent call can include `starting_after=in_foo` to fetch the
            next page of the list.
        - in: query
          name: ending_before
          schema:
            type: string
          description: >-
            A cursor to use in pagination. `ending_before` is an invoice ID that
            defines your place in the list. For example, if you make a list
            request and receive 30 invoices, starting with `in_bar`, your
            subsequent call can include `ending_before=in_bar` to fetch the
            previous page of the list.
        - in: query
          name: limit
          schema:
            type: string
          description: >-
            Limit on the number of objects to return per page, ranging between 1
            and 300.
        - in: query
          name: subscription_id
          schema:
            type: string
          description: Filter invoices created by a specific subscription
        - in: header
          name: Authorization
          schema:
            type: string
          required: true
          description: Fintoc Secrety Key
      responses:
        '200':
          description: ''
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization

````